#!/bin/sh
#
#Copyright (c) 2010, Novell, Inc.  All rights reserved.
#
#install cifs lcm method

ARCH_64="x86_64"
SYS_ARCH=`uname -p`
#echo "Architecture - $SYS_ARCH"
if [ $SYS_ARCH == $ARCH_64 ]
then
	if [ -f "/etc/nmasclnt64.conf" ]
	then
		grep "libcifslcm.so" /etc/nmasclnt64.conf >>/dev/null 2>&1
		CIFSFOUND=$?
		if [ $CIFSFOUND -ne 0 ]
		then
			/opt/novell/eDirectory/bin/ncc64 -ma 694 module=libcifslcm.so network_func=cifslinlcm 
		fi
	else
		/opt/novell/eDirectory/bin/ncc64 -c create
		/opt/novell/eDirectory/bin/ncc64 -ma 694 module=libcifslcm.so network_func=cifslinlcm
	fi
else
	if [ -f "/etc/nmasclnt.conf" ]
	then
		grep "libcifslcm.so" /etc/nmasclnt.conf >> /dev/null 2>&1
		CIFSFOUND=$?
		if [ $CIFSFOUND -ne 0 ]
		then
			/opt/novell/eDirectory/bin/ncc -ma 694 module=libcifslcm.so network_func=cifslinlcm 
		fi
	else
		/opt/novell/eDirectory/bin/ncc -c create
		/opt/novell/eDirectory/bin/ncc -ma 694 module=libcifslcm.so network_func=cifslinlcm
	fi	
fi

ERRVAL=$?
if [ $ERRVAL == -16024 ] || [ $ERRVAL == 104 ]
then
	exit 0
fi
exit $ERRVAL
